import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Currency } from '../models';
import { CurrencyRepository } from '../repositories';
export declare class CurrencyController {
    currencyRepository: CurrencyRepository;
    constructor(currencyRepository: CurrencyRepository);
    create(currency: Omit<Currency, 'id'>): Promise<Currency>;
    count(where?: Where<Currency>): Promise<Count>;
    find(filter?: Filter<Currency>): Promise<Currency[]>;
    updateAll(currency: Currency, where?: Where<Currency>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<Currency>): Promise<Currency>;
    updateById(id: string, currency: Currency): Promise<void>;
    replaceById(id: string, currency: Currency): Promise<void>;
    deleteById(id: string): Promise<void>;
}
